Complete a video upload

POST/media/v1/projects/{projectId}/videos/{videoId}/upload/complete

Finalizes a previously initiated video upload.

Authorization<token>

In: header

Path Parameters

projectId*string

Project ID

videoId*string

Video ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/videosv1.GetVideoResponse",
  "$ref-value": {
    "properties": {
      "bitrate": {
        "type": "integer"
      },
      "codec": {
        "type": "string"
      },
      "duration": {
        "type": "number"
      },
      "framerate": {
        "type": "string"
      },
      "hdr": {
        "type": "boolean"
      },
      "height": {
        "type": "integer"
      },
      "id": {
        "type": "string"
      },
      "visibility": {
        "$ref": "#/components/schemas/videosv1.Visibility",
        "$ref-value": {
          "enum": [
            0,
            1,
            2,
            3
          ],
          "type": "integer",
          "x-enum-varnames": [
            "Visibility_VISIBILITY_UNSPECIFIED",
            "Visibility_VISIBILITY_PUBLIC",
            "Visibility_VISIBILITY_UNLISTED",
            "Visibility_VISIBILITY_PRIVATE"
          ]
        }
      },
      "width": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/media/v1/projects/string/videos/string/upload/complete"

OK

application/json

{
  "$ref": "#/components/schemas/videosv1.GetVideoResponse",
  "$ref-value": {
    "properties": {
      "bitrate": {
        "type": "integer"
      },
      "codec": {
        "type": "string"
      },
      "duration": {
        "type": "number"
      },
      "framerate": {
        "type": "string"
      },
      "hdr": {
        "type": "boolean"
      },
      "height": {
        "type": "integer"
      },
      "id": {
        "type": "string"
      },
      "visibility": {
        "$ref": "#/components/schemas/videosv1.Visibility",
        "$ref-value": {
          "enum": [
            0,
            1,
            2,
            3
          ],
          "type": "integer",
          "x-enum-varnames": [
            "Visibility_VISIBILITY_UNSPECIFIED",
            "Visibility_VISIBILITY_PUBLIC",
            "Visibility_VISIBILITY_UNLISTED",
            "Visibility_VISIBILITY_PRIVATE"
          ]
        }
      },
      "width": {
        "type": "integer"
      }
    },
    "type": "object"
  }
}